<?php
	require("../__common__/__define_common.php");
	require("../__common__/include-common-all.php");
	require("__include-common-code-file.php");
	my_session_start();
	require("../account/__logincheck.php");
	if ($_SESSION['システム管理者'] <> "YES") {
		exit;
	}
	if (FILE_MANAGER_ID_PASSWORD_USE == 'YES') {
		if ($_SESSION['_id_mgr_logincheck'] <> "OK") {
			exit;
		}
	}
	if ($_GET['path'].'' == '') {
//		error_simple_html('エラー', 'パス指定がありません。');
	}
	$path = my_GET('path');
	$dest = my_GET('dest');
	if ($dest <> '') {
		$dest_path = up_folder_path($path).'/'.$dest;
		if (myfile_is_dir($dest_path)) {
//			error_simple_html('UNZIPエラー', '解凍先のフォルダ['.$dest.']が存在します。');
		}
	} else {
		$dest_path = up_folder_path($path);	// カレントフォルダに解凍
	}
	if (myfile_file_exists($path)) {
		if ($dest <> '') {
			myfile_mkdir($dest_path, '0777', true);
		}
		if (@unzip_file($path, $dest_path) == False) {
//			error_simple_html('UNZIPエラー', 'ファイルの解凍に失敗しました。');
		}
	}
//	header("Location: file-manager.php?path=".urlencode(up_folder_path($path))."#file");
function unzip_file($file, $dest_path){
	$zip = new ZipArchive();
	if ($zip->open(myfile_ENCODE($file)) !== True) {
		return False;
	}
	$zip->extractTo(myfile_ENCODE($dest_path));
	$zip->close();
	return True;
}
?>
